<div dir="rtl" style="display: flex;flex-direction: column;align-items: center; font-family: iransansweb;">
    <div style="font-size: x-large;">

        <form class="form-text" [formGroup]="mainform">
            <legend style="text-align: center;font-family: iransansweb;"><b>فرم استخدام</b> </legend>



            <div class="form-group">
                <label for="">نام  کاربری</label>

                <input type="text" class="form-control" id="username" placeholder="نام کاربری خود را وارد کید" formControlName="username">
                <span></span>
            </div>
            <div class="form-group">
                <label for="">نام</label>
                <input type="text" class="form-control" id="name" placeholder="نام خود را واردکنید" formControlName="name">
            </div>
            <div class="form-group">
                <label for="">ایمیل</label>
                <input type="text" class="form-control" id="email" placeholder="ایمیل خود را را واردکنید " formControlName="email">
            </div>
            <div class="form-group">
                <label for="">مهارت </label>
                <input type="text" class="form-control" id="skills" placeholder="مهارت خود را وارد کنید" formControlName="skill">
            </div>


            <div style="margin-top: 10px; margin-bottom: 10px;">
                <button style="margin-left: 5px;" type="button" (click)="onsubmit()" class="btn btn-primary">ذخیره</button>


            </div>

        </form>
    </div>




    <table style="width:70%;" class="table table-dark  ">


        <thead>
            <tr style="font-size: x-large;">
                <!-- <th>#</th> -->
                <th>نام کاربری</th>
                <th>نام</th>
                <th>ایمیل</th>
                <th>مهارت</th>
                <th>حذف </th>


            </tr>

        </thead>
        <tbody>

            <tr style="font-size:x-large;" *ngFor="let item of listdata ; let x = index;">
                <!-- <td> <span>{{i}}</span> </td> -->
                <td> <span>{{item.username}}</span> </td>
                <td> <span>{{item.name}}</span> </td>
                <td> <span>{{item.email}}</span> </td>
                <td> <span>{{item.skill}}</span> </td>
                <td><button type="button" (click)="removeitem(x)" class="btn btn-danger">‌پاک کردن</button></td>





            </tr>

        </tbody>

    </table>
</div>